<VirtualHost *:443>
	DocumentRoot "/var/www/html/telebot_new"
	ServerName telebot.neuron.id
	<Directory "/var/www/html/telebot_new/">
	        Options +FollowSymLinks
        	DirectoryIndex index.php
	        Require all granted
        	AllowOverride All
	</Directory>
	<FilesMatch "\.ph(p[2-6]?|tml)$">
        	SetHandler "proxy:fcgi://127.0.0.1:9056"
	</FilesMatch>

	ErrorLog logs/ssl_error_log
	TransferLog logs/ssl_access_log
	LogLevel warn

	SSLEngine on

	SSLProtocol all -SSLv2 -SSLv3
	SSLHonorCipherOrder On
	SSLCipherSuite ECDH+AESGCM:DH+AESGCM:ECDH+AES256:DH+AES256:ECDH+AES128:DH+AES:ECDH+3DES:DH+3DES:RSA+AESGCM:RSA+AES:RSA+3DES:!aNULL:!MD5:!DSS
	SSLCertificateFile /etc/letsencrypt/live/telebot.neuron.id/cert.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/telebot.neuron.id/privkey.pem
	SSLCertificateChainFile /etc/letsencrypt/live/telebot.neuron.id/fullchain.pem

	<Files ~ "\.(cgi|shtml|phtml|php3?)$">
		SSLOptions +StdEnvVars
	</Files>
	<Directory "/var/www/cgi-bin">
		SSLOptions +StdEnvVars
	</Directory>

	SetEnvIf User-Agent ".*MSIE.*" \
			nokeepalive ssl-unclean-shutdown \
			downgrade-1.0 force-response-1.0

	CustomLog logs/ssl_request_log \
			"%t %h %{SSL_PROTOCOL}x %{SSL_CIPHER}x \"%r\" %b"
</VirtualHost>
